version 12
clear all

use bds_firm_sector
descr

drop if sic1==7 // drop agriculture

keep year2 sic1 ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp

collapse (sum) ///
  firms emp denom job_creation job_creation_births job_creation_continuers ///
  job_destruction job_destruction_deaths job_destruction_continuers ///
  net_job_creation firmdeath_firms firmdeath_estabs firmdeath_emp, by(year2 sic1)

  
do addvars_bds_empfirm_sector
ren sic1 sicg

save bds_sector, replace

